--[[
	News info plguin
]]--


--------------------------------------
-- Create plugin

local RW = LibStub("AceAddon-3.0"):GetAddon("Raid Watch")
local plugin = RW:Plugin("News")
if not plugin then return end

--------------------------------------
-- Locals
local UIF
local AceGUI
local news = {}

--------------------------------------
-- Init

function plugin:OnRegister()
	self.db = RW.db:RegisterNamespace("News", {profile={}})
end

function plugin:PluginEnable()
	UIF = LibStub("AceGUI-Factory-1.0"):GetFactory("RW")
	AceGUI = LibStub("AceGUI-3.0")
end

function plugin:PluginDisable()
end

--------------------------------------
-- Options
function plugin:GetOptions()
	return 20, "News", self.GetGUI
end

function plugin:GetGUI()
	self = self or plugin
	
	local group, label, color, check
	
	group = AceGUI:Create("ScrollFrame")
	group:SetLayout("Flow")
	
	label = UIF:MainTitleLabel("News")
	group:AddChild(label)
	
	local igroup = UIF:InlineGroup("")
	group:AddChild(igroup)	
	
	return group
end

function plugin:GetNewsAsGUI()
	for title, newsData in pairs(news) do
		
	end
end

news["1.20 Alpha"] = {
	["ICC"] = {
		["Testing"] = "Some mad info",
	},
}
